felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benoît Thiébault <thieba...@artenum.com>
Subject Re: Missing requirement osgi.wiring.package
Date Tue, 27 Sep 2011 13:53:01 GMT
Hi,

I have version 1.8.0 of iPOJO Core...
In the felix/bundles folder, there is this JAR file:
org.apache.felix.ipojo-1.8.0.jar

Is there a newer version?

Le mardi 27 septembre 2011 à 14:57 +0200, Clement Escoffier a écrit :
> Hi,
> 
> You're probably using a 'recent' version of the manipulator. So, you need a 'recent'
version of iPOJO Core to fulfill the import-package requirement. This package is available
from iPOJO Core 1.8.0+.
> 
> Regards,
> 
> Clement
> 
> 
> On 27.09.2011, at 14:03, Karl Pauls wrote:
> 
> > your org.test.bundle has an import-package on
> > org.apache.felix.ipojo.architecture in version>=1.8.0 which is not
> > around. Don't get confused, the error messages have changed somewhat
> > but all this is saying is that your bundle has an import that has no
> > matching export by any other bundle.
> > 
> > Maybe you need to install the ipojo architecture bundle?
> > 
> > regards,
> > 
> > Karl
> > 
> > 2011/9/27 Benoît Thiébault <thiebault@artenum.com>:
> >> Hi everyone,
> >> 
> >> I just updated Felix framework to the new 4.0.0 version and when I start
> >> my iPOJO bundle (which used to work with the previous version of the
> >> framework), I have the following error:
> >> 
> >> Unresolved constraint in bundle org.test.bundle [12]: Unable to resolve
> >> 12.0: missing requirement [12.0] osgi.wiring.package;
> >> (&(osgi.wiring.package=org.apache.felix.ipojo.architecture)(version>=1.8.0))
> >> 
> >> How can I solve this?
> >> 
> >> Kind regards,
> >> Ben
> >> 
> >> 
> >> ---------------------------------------------------------------------
> >> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> >> For additional commands, e-mail: users-help@felix.apache.org
> >> 
> >> 
> > 
> > 
> > 
> > -- 
> > Karl Pauls
> > karlpauls@gmail.com
> > http://twitter.com/karlpauls
> > http://www.linkedin.com/in/karlpauls
> > https://profiles.google.com/karlpauls
> > 
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> > For additional commands, e-mail: users-help@felix.apache.org
> > 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> For additional commands, e-mail: users-help@felix.apache.org
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message